var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function() {
        if (window.AppSettings) {
            AppSettings.get(function (hash) {
                    var url = hash['ol_remote_mobile_url'];
                    if (!url) alert("missing ol_remote_mobile_url in config.xml");

                    url = (url.indexOf('?') > 0 ? url + "&v=" : url + "?v=") + new Date().getTime();
                    console.log("location.href = '" +url + "'");
                    app.showProgress(url);
                },
                function (fail) { alert("fail 2 read from config:" + JSON.stringify(fail)); },
                ["ol_remote_mobile_url"]
            );
        } else setTimeout(app.onDeviceReady, 200);
    },

    debug: function(msg) {
        //alert(msg);
        console.log(msg);
    },

    progress: 0,
    totalTime: 15, // in seconds
    showProgress: function(url) {

        if (window.plugins.insomnia && window.plugins.insomnia.keepAwake) {
            window.plugins.insomnia.keepAwake();
        }
        if (window.ProgressHUD && ProgressHUD.show) {
            ProgressHUD.show(app.totalTime);
        }

        setTimeout(function() {
            location.href = url;
            //app.getToken();
        }, 100); // allow splash and progress to display
    }
};

app.initialize();
